Skip to main content
GET
/
api
/
playground
/
sessions
List Sessions
curl --request GET \
  --url https://api.example.com/api/playground/sessions \
  --header 'Authorization: Bearer <token>'
{
  "sessions": [
    {
      "id": "<string>",
      "name": "<string>",
      "source": "<string>",
      "status": "<string>",
      "progress": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "source_ref": "<string>",
      "row_count": 123,
      "column_count": 123,
      "columns": [],
      "file_size_bytes": 123,
      "file_names": [
        "<string>"
      ],
      "error_message": "<string>",
      "cancel_requested": false
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100

Cookies

antidote_session
string | null

Response

Successful Response

sessions
SessionResponse · object[]
required
total
integer
required